Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomNodeList Class Reference
[XML module]

The QDomNodeList class is a list of QDomNode objects. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qdom.h>`

List of all member functions.

## Public Members

- QDomNodeList ()
- QDomNodeList ( const QDomNodeList & n )
- QDomNodeList & operator= ( const QDomNodeList & n )
- bool operator== ( const QDomNodeList & n ) const
- bool operator!= ( const QDomNodeList & n ) const
- virtual ~QDomNodeList ()
- virtual QDomNode item ( int index ) const
- virtual uint length () const
- uint count () const

## Detailed Description

The QDomNodeList class is a list of QDomNode objects.

Lists can be obtained by QDomDocument::elementsByTagName() and QDomNode::childNodes(). The Document Object Model (DOM) requires these lists to be "live": whenever you change the underlying document, the contents of the list will get updated.

You can get a particular node from the list with item(). The number of items in the list is returned by count() (and by length()).

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also QDomNode::childNodes(), QDomDocument::elementsByTagName(), and XML.

## Member Function Documentation

### QDomNodeList::QDomNodeList ()

Creates an empty node list.

### QDomNodeList::QDomNodeList ( const QDomNodeList & n )

Constructs a copy of n.

### QDomNodeList::~QDomNodeList ()`[virtual]`

Destroys the object and frees its resources.

### uint QDomNodeList::count () const

Returns the number of nodes in the list.

This function is the same as length().

### QDomNode QDomNodeList::item ( int index ) const`[virtual]`

Returns the node at position index.

If index is negative or if index >= length() then a null node is returned (i.e. a node for which QDomNode::isNull() returns TRUE).

See also count().

### uint QDomNodeList::length () const`[virtual]`

Returns the number of nodes in the list.

This function is the same as count().

### bool QDomNodeList::operator!= ( const QDomNodeList & n ) const

Returns TRUE the node list n and this node list are not equal; otherwise returns FALSE.

### QDomNodeList & QDomNodeList::operator= ( const QDomNodeList & n )

Assigns n to this node list.

### bool QDomNodeList::operator== ( const QDomNodeList & n ) const

Returns TRUE if the node list n and this node list are equal; otherwise returns FALSE.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.